0

I installed "Paint Supreme 3d - Snap" using the software center in Xubuntu and while opening it only shows the splash screen and doesn't load. It doesn't open. How to make it open to use it. Please help.

Here is the error message when running program from command line:

Gtk-Message: Failed to load module "gail" Gtk-Message: Failed to load module "atk-bridge" 
10
  • can you start the app from the command line and see post any errors you see? – Joshua Besneatte Aug 18 '18 at 7:07
  • please tell me how to start it through command line? – Pranaya Adhikari Aug 18 '18 at 7:09
  • open an terminal by pressing ctrl+alt+t and type paintsupreme-3d – Joshua Besneatte Aug 18 '18 at 7:14
  • The same problem is happening, even if I'm opening it through the terminal, only the first screen is showing after that the application doesn't load even waiting for a long time. – Pranaya Adhikari Aug 18 '18 at 8:03
  • what kind of messages show up in the terminal window... that's what we want... – Joshua Besneatte Aug 18 '18 at 14:59
0

Looking at the error message, it looks like you have some missing modules that need to be installed: "gail" and "atk-bridge"

So we use apt-cache to locate the relevant packages:

apt-cache search gail

This gives us a few options, but the one we are looking for is:

libgail-common - GNOME Accessibility Implementation Library -- common modules

And now the atk-bridge:

apt-cache search atk-bridge

Which returns something we want:

libatk-bridge2.0-0 - AT-SPI 2 toolkit bridge - shared library

Now that we know what packages you need, time to install:

sudo apt install libgail-common libatk-bridge2.0-0

You should now have the required modules to run your program. Enjoy!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.